Subject: [MMUSIC] RFC5576 ssrc attributes registeration was WGLC on draft-ietf-avtcore-clksrc-03

From: "Roni Even" <[email-masked]>
Date: Wed, 12 Jun 2013 01:05:45 +0300

Hi,
I agree with Paul that it is not clear what need to be registered as SSRC
attribute. What makes it unclear to me is that the ABNF in RFC5576

ssrc-attr = "ssrc:" ssrc-id SP attribute
   ; The base definition of "attribute" is in RFC 4566.
   ; (It is the content of "a=" lines.)

   ssrc-id = integer ; 0 .. 2**32 - 1

   attribute =/ ssrc-attr

make it look like you only need to register specific  ssrc-attr while any
existing session or media level attribute are covered. I assume that it will
make sense only for media level attributes.
I think this will relate also to the usage of the SSRC attribute for the
multi-stream support
Roni

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Paul Kyzivat
> Sent: 11 June, 2013 6:00 PM
> To: [email-masked]
> Subject: Re: [MMUSIC] [AVTCORE] WGLC on draft-ietf-avtcore-clksrc-03
> 
> On 6/11/13 9:30 AM, Kevin Gross wrote:
> > I've read section 12.2 of RFC 5576 and it is unclear to me whether a
> > properly-registered attribute also requires a separate registration to
> > be used as a source-level attribute. I gather there's some uncertainty
> > on Colin's part. Can anyone help clarify these requirements for us?
> 
> IMO this is a bit of a mess. We can ask the authors what they intended,
but in
> the end it was a wg document, so maybe its up to the wg to decide. I'm
also
> unclear whether the IANA registry structure that got built for this is
exactly
> what was intended. IMO the collective IANA registry structures for
> registering SDP attributes is far from ideal.
> 
> As the registry is currently constructed there is definitely a need for a
> separate entry for source level attributes. Perhaps a single registration
> request can be for multiple entries - that comes down to details of what a
> "request" is.
> 
> IMO the registry should be restructured, so that there is a single table
for all
> SDP attributes, with a column indicating in which context(s) it may be
used:
> session level, media level, and/or source level. If that were so, then a
single
> registration could define as many of those as made sense for an attribute.
> 
> 	Thanks,
> 	Paul
> 
> > Kevin Gross
> > +1-303-447-0517
> > Media Network Consultant
> > AVA Networks - www.AVAnw.com <http://www.avanw.com/>,
> www.X192.org
> > <http://www.X192.org>
> >
> >
> > On Fri, May 3, 2013 at 10:26 AM, Colin Perkins <[email-masked]
> > <mailto:[email-masked]>> wrote:
> >
> >     On 21 Apr 2013, at 07:39, Roni Even wrote:
> >      > I would like to start a WGLC on
> >     http://tools.ietf.org/html/draft-ietf-avtcore-clksrc-03  , RTP Clock
> >     Source Signalling.
> >      >
> >      > The WGLC will end on May 12th , 2013
> >      >
> >      > Please review the draft and send comments to the list.
> >
> >     This generally looks good, and I had only one comment: if I'm
> >     reading RFC 5576 correctly, this draft needs to include IANA
> >     registrations for "att-field (source level)" for the SDP attributes,
> >     to allow them to be used in the a=ssrc: lines. Making this change
> >     will probably also requires changes to the ABNF, to cleanly separate
> >     the syntax for "a=..." and "a=ssrc: ..." forms so they can be
> >     separately referenced.
> >
> >     --
> >     Colin Perkins
> >     http://csperkins.org/
> >
> >
> >
> >
> >
> >
> > _______________________________________________
> > mmusic mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mmusic
> >
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: "Roni Even" <[email-masked]>
Date: Wed, 12 Jun 2013 01:19:49 +0300

Hi,
Looking at the IANA registry,
http://www.iana.org/assignments/sdp-parameters/sdp-parameters.xml , I can
see that IANA puts the attribute in a table based on the registration
template for media level, session level or both. 
So the question is what will happen if you want to register anew attribute
using the template

SDP Attribute ("att-field"):

     Attribute name:     ts-refclk

     Long form:          Timestamp reference clock source

     Type of name:       att-field

     Type of attribute:  Session, media and source level

     Subject to charset: No

     Purpose:            See section 4 of this document

     Reference:          This document

     Values:             See this document and registrations below

It is clear that it should go to the both session and media level table but
what about source level. Currently I assume that it implies that it will be
registered in two tables the both session and media table and the source
level table.

Roni

> From: Roni Even [mailto:[email-masked]]
> Sent: 12 June, 2013 1:06 AM
> To: 'Paul Kyzivat'; [email-masked]'
> Subject: RFC5576 ssrc attributes registeration was WGLC on draft-ietf-
> avtcore-clksrc-03
> 
> Hi,
existing
> session or media level attribute are covered. I assume that it will make
sense
> only for media level attributes.
multi-
> stream support Roni
> > > properly-registered attribute also requires a separate registration
> > > to be used as a source-level attribute. I gather there's some
> > > uncertainty on Colin's part. Can anyone help clarify these
requirements
> for us?
> >
> > IMO this is a bit of a mess. We can ask the authors what they
> > intended, but in the end it was a wg document, so maybe its up to the
> > wg to decide. I'm also unclear whether the IANA registry structure
> > that got built for this is exactly what was intended. IMO the
> > collective IANA registry structures for registering SDP attributes is
far from
> ideal.
> >
> > As the registry is currently constructed there is definitely a need
> > for a separate entry for source level attributes. Perhaps a single
> > registration request can be for multiple entries - that comes down to
> > details of what a "request" is.
> >
> > IMO the registry should be restructured, so that there is a single
> > table for all SDP attributes, with a column indicating in which
context(s) it
> may be used:
> > session level, media level, and/or source level. If that were so, then
> > a single registration could define as many of those as made sense for an
> attribute.
> >
> > 	Thanks,
> > 	Paul
> >
> > > Kevin Gross
> > > +1-303-447-0517
> > > Media Network Consultant